clear all;

STD = load('STDtest.mat');
MTD = load('MTDtest.mat');
DCT = load('DCTtest.mat');
STFT = load('STFTtest.mat');
MDCT = load('MDCTtest.mat');

STD.R = (STD.R1 + STD.R2 + STD.R3 + STD.R4)/4;
MTD.R = (MTD.R1 + MTD.R2 + MTD.R3 + MTD.R4)/4;
DCT.R = (DCT.R1 + DCT.R2 + DCT.R3 + DCT.R4)/4;
STFT.R = (STFT.R1 + STFT.R2 + STFT.R3 + STFT.R4)/4;
MDCT.R = (MDCT.R1 + MDCT.R2 + MDCT.R3 + MDCT.R4)/4;

[hSM,SM] = ttest2(STD.R,MTD.R);
[hSD,SD] = ttest2(STD.R,DCT.R);
[hSS,SS] = ttest2(STD.R,STFT.R);
[hSMD,SMD] = ttest2(STD.R,MDCT.R);


disp('SM');disp(hSM);disp(SM);
disp('SD');disp(hSD);disp(SD);
disp('SS');disp(hSS);disp(SS);
disp('SMD');disp(hSMD);disp(SMD);

